Subject: Re: [PATCH] arm64: dts: clearfog-gt-8k: describe mini-PCIe CON2 USB

From: Gregory CLEMENT <[email-masked]>
Date: Fri, 07 Dec 2018 17:28:22 +0100

Hi Baruch,
 
 On jeu., déc. 06 2018, Baruch Siach <[email-masked]> wrote:

> Hi Gregory,
>
> Gregory CLEMENT writes:
>>  On jeu., déc. 06 2018, Baruch Siach <[email-masked]> wrote:
>>
>>> Enable the USB3 peripheral that is wired to CON2 on the Clearfog GT-8K
>>> board.
>>>
>>> Signed-off-by: Baruch Siach <[email-masked]>
>>> ---
>>>  arch/arm64/boot/dts/marvell/armada-8040-clearfog-gt-8k.dts | 4 ++++
>>>  1 file changed, 4 insertions(+)
>>>
>>> diff --git a/arch/arm64/boot/dts/marvell/armada-8040-clearfog-gt-8k.dts b/arch/arm64/boot/dts/marvell/armada-8040-clearfog-gt-8k.dts
>>> index dfb26661a88e..5b4a9609e31f 100644
>>> --- a/arch/arm64/boot/dts/marvell/armada-8040-clearfog-gt-8k.dts
>>> +++ b/arch/arm64/boot/dts/marvell/armada-8040-clearfog-gt-8k.dts
>>> @@ -282,6 +282,10 @@
>>>  	vqmmc-supply = <&v_3_3>;
>>>  };
>>>
>>> +&cp0_usb3_1 {
>>
>> Don't you have any phy for this USB3 port?
>
> Not as far as I can see. Why would I need one? The serdes signals are
> connected directly to the mini-PCIe, just like the USB Type-A connector
> on the same board. I haven't tested the USB3 signals on the mini-PCIe,
> though, as I have no USB3 mini-PCIe device.

Right! I focused on the commit itself and missed the fact that it was
part of a PCI connector as stated in the title. I asked this because
usually we have a phy connected to a vcc signal.

Applied on mvebu/dt64

Thanks,

Gregory

>
> baruch
>
>>> +	status = "okay";
>>> +};
>>> +
>>>  &cp1_pinctrl {
>>>  	/*
>>>  	 * MPP Bus:
>>> --
>>> 2.19.2
>>>
>
>
> --
>      http://baruch.siach.name/blog/                  ~. .~   Tk Open Systems
> =}------------------------------------------------ooO--U--Ooo------------{=
>    - [email-masked] - tel: +972.52.368.4656, http://www.tkos.co.il -

-- 
Gregory Clement, Bootlin
Embedded Linux and Kernel engineering
http://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel